## gate.util
Class CorpusBenchmarkTool

    java.lang.Object
      |
      +--gate.util.CorpusBenchmarkTool

public class CorpusBenchmarkTool
extends Object

Constructor Summary
`CorpusBenchmarkTool()`

Method Summary
`void` `execute()`
`void` `execute(File dir)`
`boolean` `getGenerateMode()`
`boolean` `getMarkedClean()`
`boolean` `getMarkedStored()`
`double` `getPrecisionAverage()` Returns the average precision over the entire set of processed documents.
`double` `getRecallAverage()` Returns the average recall over the entire set of processed documents.
`File` `getStartDirectory()`
`double` `getThreshold()`
`boolean` `getVerboseMode()`
`void` `init()`
`void` `initPRs()`
`boolean` `isGenerateMode()`
`static void` `main(String[] args)`
`void` `setGenerateMode(boolean mode)`
`void` `setMarkedClean(boolean mode)`
`void` `setMarkedStored(boolean mode)`
`void` `setStartDirectory(File dir)`
`void` `setThreshold(double newValue)`
`void` `setVerboseMode(boolean mode)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CorpusBenchmarkTool

    public CorpusBenchmarkTool()

Method Detail

### initPRs

    public void initPRs()

### execute

    public void execute()

### init

    public void init()

### execute

    public void execute(File dir)

### main

    public static void main(String[] args)
                     throws GateException

### setGenerateMode

    public void setGenerateMode(boolean mode)

### getGenerateMode

    public boolean getGenerateMode()

### getVerboseMode

    public boolean getVerboseMode()

### setVerboseMode

    public void setVerboseMode(boolean mode)

### setMarkedStored

    public void setMarkedStored(boolean mode)

### getMarkedStored

    public boolean getMarkedStored()

### setMarkedClean

    public void setMarkedClean(boolean mode)

### getMarkedClean

    public boolean getMarkedClean()

### getPrecisionAverage

    public double getPrecisionAverage()

  Returns the average precision over the entire set of processed documents.

  If the tool has been evaluating the original documents against the previously-stored automatically annotated ones, then the precision will be the average precision on those two sets.

  If the tool was run in -marked mode, i.e., was evaluating the stored automatically processed ones against the human-annotated ones, then the precision will be the average precision on those two sets of documents.

### getRecallAverage

    public double getRecallAverage()

  Returns the average recall over the entire set of processed documents.

  If the tool has been evaluating the original documents against the previously-stored automatically annotated ones, then the recall will be the average recall on those two sets.

  If the tool was run in -marked mode, i.e., was evaluating the stored automatically processed ones against the human-annotated ones, then the recall will be the average recall on those two sets of documents.

### isGenerateMode

    public boolean isGenerateMode()

### getThreshold

    public double getThreshold()

### setThreshold

    public void setThreshold(double newValue)

### getStartDirectory

    public File getStartDirectory()

### setStartDirectory

    public void setStartDirectory(File dir)